<?php
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/


require_once "conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

if(isset($_GET["usuarioActivar"]))
{
	$usr=$_GET['usuarioActivar'];
	$query="Select username, rfc_cliente, pass, nombre, puesto, taxId, email, activado, telefono,contactoP,ref_rfc_receptor from usuariosweb where username='$usr' LIMIT 1";
	$rquery=mysqli_query($conexion->CONEXION,$query);
	if(mysqli_num_rows($rquery) == 1)
	{
		$temp=mysqli_fetch_assoc($rquery);
		$usr=$temp["username"];
		$nombre=$temp["nombre"];
		$puesto=$temp["puesto"];
		$email=$temp["email"];
		$rfc=$temp["rfc_cliente"];
		$taxId=$temp["taxId"];
		$activado=$temp["activado"];
		$telefono=$temp["telefono"];
		$contactoP=$temp["contactoP"];
		$ref_rfc_receptor=$temp["ref_rfc_receptor"];
	}	
}

include 'regresaSucursalesAdicional.php';
$arrSucursales = explode("|",$sucursales);

$rRFC = mysqli_query($conexion->CONEXION,"select rfc,nombre from receptor");

?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script type="text/javascript" src="libs/jqueryEasy_1.2.5/jquery.easyui.min.js"></script>
<script>

$j_3(document).ready(function() {
	$j_3('#loading').hide();
    $j_3().ajaxStart(function() {
        $j_3('#loading').show();
        $j_3('#result').hide();
    }).ajaxStop(function() {
        $j_3('#result').fadeIn('slow');
		$j_3('#loading').hide();
    });
	
	$j_3('#formUser').ajaxForm(function(data) {
					if(data.indexOf('true: ') != -1){
						document.getElementById("rechazar").disabled=true;
						document.getElementById("activar").disabled=true;
						document.getElementById("rechazar").className="estilo_btn_disabled";
						document.getElementById("activar").className="estilo_btn_disabled";
					}
					$j_3('#result').html(data.replace("true: ",""));
					$j_3('#loading').hide();
	});
	
	$j_3('#rechazar').click(function()
	{
		comentario=prompt('Ingrese el motivo de rechazo','');
		if(comentario != null && comentario!=""){
			usr=$j_3('#usr').val();
			rfc=$j_3('#rfc').val();
			email=$j_3('#email').val();
			nombre=$j_3('#nombre').val();
			$j_3.post("rechazaCuenta.php", { usr: usr, comentario: comentario, rfc: rfc, email: email, nombre: nombre },function(data){
					$j_3('#result').html(data.replace("true: ",""));
					$j_3('#loading').hide();
					if(data.indexOf('true: ') != -1){
						document.getElementById("rechazar").disabled=true;
						document.getElementById("activar").disabled=true;
						document.getElementById("rechazar").className="estilo_btn_disabled";
						document.getElementById("activar").className="estilo_btn_disabled";
					}
				});
				return false;
		}else if(comentario != null){
		alert("Ingrese el motivo de rechazo");
		return false;
		}
		return false;
	});
	
	/*$j_6('#ref_rfc_receptor').combotree('loadData', 
            [
			<?if(mysql_num_rows($rRFC) > 0){
				$con=0;
				while($tRFC=mysql_fetch_array($rRFC)){ if($con>0){echo ",";}?>
				
			{
                    "id":"<?=$tRFC['rfc']?>",
                    "text":"<?=$tRFC['nombre']?>",
                    "iconCls":""
             }
			 <?$con++;}}?>
             
            ]);*/
		

});
function maximo(campo,limite){
if(campo.value.length>=limite){
campo.value=campo.value.substring(0,limite);
 }
}

/*$j_6('#ref_rfc_receptor').combotree('reload');

<?if(trim($ref_rfc_receptor) != ""){?>
	$j_6('#ref_rfc_receptor').combotree('setValues', ['<?=str_replace(",","','",$ref_rfc_receptor)?>']);
<?}?>*/

</script>

<table class="td_general" bgcolor="white" width="800">
		<tr>
		<td valign="top" class="txt_logindat_13" width="800" height="35"><div id="result">
		<? if($activado == "2"){ echo "El usuario ya se encuentra activado";}?>
		</div></td>
		</tr>
	<tr>
		<td valign="top" colspan="2" class="txt_logindat" align="center"><center><h2>ACTIVACION DE USUARIO</h2></center></td>
	</tr>
	<tr>
	<td colspan="2">
		<form name="formUser" id="formUser" action="activaUsuarioBD.php" method="post">
        <table class="td_general" bgcolor="#FFFFFF">
		<tr>
		<td valign="top" class="txt_logindat" width="115">
		<strong>Usuario :</strong>		
		
        </td>
		<td valign="top" class="txt_logindat" width="170">
		<input type="text" size="23" maxlength="13" name="usr" id="usr" class=":required Logers" value="<?=$usr?>" readOnly="true"/>
		</td>
        <td valign="top" class="txt_logindat" width="95">
        <strong>Nombre :</strong>
        </td>
        <td valign="top" class="txt_logindat" width="455">
        <input type="text" size="50" name="nombre" id="nombre" class=":required Logers" value="<?=$nombre?>" maxlength="100"  readOnly="true"/>
        <br><br>
        </td>
        </tr>
        <tr>
		<td valign="top" class="txt_logindat" colspan="4">
		<table>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Puesto :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" maxlength="255" size="60" name="puesto" id="puesto" class="Logers" value="<?=$puesto?>" readOnly="true"/>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Email :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" maxlength="255" size="60" name="email" id="email" class="Logers" value="<?=$email?>" readOnly="true"/>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Teléfono :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" maxlength="255" size="60" name="telefono" id="telefono" class="Logers" value="<?=$telefono?>" readOnly="true"/>
		</td>
		</tr>
		
		<!--<select class="easyui-combotree" id="ref_rfc_receptor" name="ref_rfc_receptor[]"  multiple="true" cascadeCheck="false" style="width:400px;"></select>-->
		<input type="hidden" id="ref_rfc_receptor" name="ref_rfc_receptor" value="<?=$ref_rfc_receptor?>"/>
		
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>RFC :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" readOnly="true" name="rfc" id="rfc" value="<?=$rfc?>"/>
		</td>
		</tr>
		
		
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Raz&oacute;n social :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" size="60" readOnly="true" name="razonSocial" id="razonSocial" value="<?=$_GET['razonSocial']?>"/>
		</td>
		</tr>
		<? if($_SESSION["tipo_portal"]=="ABSA" || $_SESSION["tipo_portal"]=="VIMIFOS"){?>
			<?if($_SESSION["tipo_portal"]=="ABSA"){?>
                            <tr>
                                    <td valign="top" class="txt_logindat" width="100">
                                    <strong>D&iacute;as de pago * :</strong>
                                    </td>
                                    <td valign="top" class="txt_logindat" colspan="2">
                                    <input type="text" onKeyUp="onlyNums(this);" size="60" name="dias_pago" id="dias_pago" class=":required Logers">
                                    </td>
                            </tr>
			<?}?>
			<tr>
				<td valign="top" class="txt_logindat" width="100">
				<strong>Tipo proveedor * :</strong>
				</td>
				<td valign="top" class="txt_logindat" colspan="2">
					<?if($_SESSION["tipo_portal"]=="ABSA"){?>
					
					<select name="tipo_proveedor" id="tipo_proveedor" class=":required Logers">
						<?if($_SESSION["tipo_portal"]=="ABSA"){?>
                                                    <option value="COMPRAS">Compras</option>
                                                <?}else if($_SESSION["tipo_portal"]=="VIMIFOS"){?>
                                                    <option value="AMBOS">Ambos</option>    
                                                    <option value="MATERIAS PRIMAS">Materias primas</option>    
                                                <?}?>
						<option value="GASTOS">Gastos</option>
					</select>
					<?}?>
					<?if($_SESSION["tipo_portal"]=="VIMIFOS"){?>
						<select id="tipo_proveedor" class="Logers" name="tipo_proveedor">
								<?  foreach ($arrSucursales as $i => $valor){?>
							<option value="<?=strtoupper($valor)?>" <?if($tdocto == strtoupper($valor)){?>selected<?}?>><?=strtoupper($valor)?></option>
								<?}?>
								<option value="TODOS" <?if($tdocto == "TODOS"){?>selected<?}?>>Todos</option>
						</select>
					<?}?>
					
				</td>
			</tr>
		<?}?>
		<tr>
			<td valign="top" class="txt_logindat" width="100">
				<strong>Tax Id :</strong>
			</td>
			<td valign="top" class="txt_logindat" colspan="2">
				<input type="text" size="60" name="taxId" id="taxId" value="<?=$taxId?>" readOnly="true"/>
			</td>
		</tr>
		<tr>
			<td valign="top" class="txt_logindat" width="100">
				<strong>Contacto :</strong>
			</td>
			<td valign="top" class="txt_logindat" colspan="2">
				<input type="text" size="60" name="contacto" id="contacto" value="<?=$contactoP?>" readOnly="true"/>
			</td>
		</tr>
		</table>
		</td>
        <td colspan="4" valign="top" class="txt_logindat"><br></td>
        </tr>
        <tr>
        <td colspan="4">
        <? echo btnNavegacion("admin.php?seccion=".$_GET['seccionAnt']."&menu=2&rfc=$rfc",$activado);?>
        </td>
        </tr>
		</table>
        </form>
	</td>
	</tr>
</table>

<?
function btnNavegacion($url,$activado)
{
?>	
		<?if($activado == "2"){?>
			<input type="submit" class="estilo_btn_disabled" value="ACTIVAR" name="activar" id="activar" disabled="true"/>
			<input type="button" class="estilo_btn_disabled" name="rechazar" id="rechazar" value="RECHAZAR" disabled="true"/>
		<?}else{?>
			<input type="submit" class="estilo_btn" value="ACTIVAR" name="activar" id="activar"/>
			<input type="button" class="estilo_btn" name="rechazar" id="rechazar" value="RECHAZAR"/>
		<?}?>
<?}?>